<html>
<head>
<title>Ogre::STLAllocatorBase&lt; T &gt; Struct Template Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1STLAllocatorBase.html">STLAllocatorBase</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::STLAllocatorBase&lt; T &gt; Struct Template Reference<div class="ingroups"><a class="el" href="group__Memory.html">Memory</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::STLAllocatorBase" -->
<p>Wrapper class for operating as an STL container allocator.  
 <a href="structOgre_1_1STLAllocatorBase.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreMemorySTLAllocator_8h_source.html">OgreMemorySTLAllocator.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::STLAllocatorBase&lt; T &gt;:</div>
<div class="dyncontent">
<div class="center"><img src="structOgre_1_1STLAllocatorBase__inherit__graph.gif" border="0" usemap="#Ogre_1_1STLAllocatorBase_3_01T_01_4_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1STLAllocatorBase_3_01T_01_4_inherit__map" id="Ogre_1_1STLAllocatorBase_3_01T_01_4_inherit__map">
<area shape="rect" id="node3" href="classOgre_1_1STLAllocator.html" title="Ogre::STLAllocator\&lt; T \&gt;" alt="" coords="20,83,185,112"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="structOgre_1_1STLAllocatorBase-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef T&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1STLAllocatorBase.html#a3fc45e6ad404fa54ad9246682e7ccd88">value_type</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><h3>template&lt;typename T&gt;<br/>
struct Ogre::STLAllocatorBase&lt; T &gt;</h3>

<p>Wrapper class for operating as an STL container allocator. </p>
<p>This class acts as the host for a configured allocation policy.</p>
<p>It takes the following template parameters:- </p>
<ul>
<li>
T : the type we will be allocating (see rebind later) </li>
<li>
AllocPolicy : a memory allocator policy  </li>
</ul>
<p>See <a class="el" href="classOgre_1_1StdAllocPolicy.html" title="A &quot;standard&quot; allocation policy for use with AllocatedObject and STLAllocator.">StdAllocPolicy</a> for an example of implementing a Policy. The reason for implementing the allocation in a policy is that it makes implementing a custom allocator easier - you just have to provide an alternative policy with just allocate/deallocate implementations; this class does all the housekeeping associated with keeping the STL happy. </p>

<p>Definition at line <a class="el" href="OgreMemorySTLAllocator_8h_source.html#l00064">64</a> of file <a class="el" href="OgreMemorySTLAllocator_8h_source.html">OgreMemorySTLAllocator.h</a>.</p>
</div><hr/><h2>Member Typedef Documentation</h2>
<a class="anchor" id="a3fc45e6ad404fa54ad9246682e7ccd88"></a><!-- doxytag: member="Ogre::STLAllocatorBase::value_type" ref="a3fc45e6ad404fa54ad9246682e7ccd88" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">typedef T <a class="el" href="structOgre_1_1STLAllocatorBase.html">Ogre::STLAllocatorBase</a>&lt; T &gt;::<a class="el" href="structOgre_1_1STLAllocatorBase.html#a3fc45e6ad404fa54ad9246682e7ccd88">value_type</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Reimplemented in <a class="el" href="classOgre_1_1STLAllocator.html#af5221070699c31f29ff62f889ffd9b32">Ogre::STLAllocator&lt; T, AllocPolicy &gt;</a>.</p>

<p>Definition at line <a class="el" href="OgreMemorySTLAllocator_8h_source.html#l00066">66</a> of file <a class="el" href="OgreMemorySTLAllocator_8h_source.html">OgreMemorySTLAllocator.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreMemorySTLAllocator_8h_source.html">OgreMemorySTLAllocator.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:59
</p>
</body>
</html>
